#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		lname		%(echo %{name} | tr '[:upper:]' '[:lower:]')
#-----------------------------------------------------------------------------
Name		:	MPlayer
Version		:	1.5
Release		:	16.2.1.rel%{?dist}
Summary		:	MPlayer is a movie player for Linux

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://mplayerhq.hu/MPlayer/

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-upstream_ffmpg6_fixes-1.patch
Patch1		:	%{name}-%{version}-ffmpeg-6.0-binutils_2.41-1.patch

#-----------------------------------------------------------------------------
BuildRequires	:	SDL
BuildRequires	:	alsa-lib
BuildRequires	:	aom-devel
BuildRequires	:	ffmpeg-devel
BuildRequires	:	gsm-devel
BuildRequires	:	gtk2+
BuildRequires	:	jack2-devel
BuildRequires	:	liba52
BuildRequires	:	libilbc
BuildRequires	:	libdvdnav
BuildRequires	:	libbluray-devel
BuildRequires	:	libv4l-devel
BuildRequires	:	openal-soft-devel
BuildRequires	:	openjpeg
BuildRequires	:	patch
BuildRequires	:	pulseaudio
BuildRequires	:	speex
BuildRequires	:	yasm

#-----------------------------------------------------------------------------
%description
MPlayer is a powerful audio/video player controlled
via the command line or a graphical interface that
is able to play almost every popular audio and
video file format. With supported video hardware and
additional drivers, MPlayer can play video files
without an X Window System installed.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%{_sysconfdir}/%{lname}/*.conf
%{_bindir}/g%{lname}
%{_bindir}/mencoder
%{_bindir}/%{lname}
%{_datadir}/applications/%{lname}.desktop
%{_datadir}/icons/hicolor/*/apps/%{lname}.png
%{_mandir}/man1/%{lname}.1.gz
%{_mandir}/man1/mencoder.1.gz
%{_mandir}/man1/g%{lname}.1.gz

#============================================================================
%prep
%setup -q 
patch -Np1 -i %{PATCH0}
patch -Np1 -d ffmpeg < %{PATCH1}

#-----------------------------------------------------------------------------
%build
export CFLAGS="${CFLAGS/-march=x86-64/}"
export CFLAGS="${CFLAGS/-mtune=generic/}"
export LDFLAGS="${LDFLAGS/,O1/}"
export LDFLAGS="${LDFLAGS/,--sort-common/}"
./configure						\
        --prefix=%{_prefix}				\
        --bindir=%{_bindir}				\
        --datadir=%{_datadir}				\
	--mandir=%{_mandir}				\
	--confdir=%{_sysconfdir}/%{lname}		\
	--libdir=%{_libdir}				\
	--enable-dynamic-plugins			\
	--disable-libmpeg2-internal			\
	--enable-menu					\
	--enable-runtime-cpudetection			\
	--enable-gui					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install install-mplayer 

install -Dm 644 					\
	etc/{codecs.conf,input.conf,example.conf}	\
	%{buildroot}%{_sysconfdir}/%{lname}/

#-----------------------------------------------------------------------------
%changelog
